package com.ywt.alipaympapi.core;

/**
 * 系统常量定义
 *
 * @author
 */
public class ConstantDef {
    /**
     * 最大页码
     */
    public static final int MAX_PAGE_INDEX = 100;
    /**
     * 最大页大小
     */
    public static final int MAX_PAGE_SIZE = 2000;
    /**
     * 默认页大小
     */
    public static final int PAGE_SIZE = 20;
    /**
     * 默认起始页
     */
    public static final int DEFAULT_PAGE_INDEX = 1;
    /**
     * 最大年龄
     */
    public static final int MAX_AGE = 100;

    /**
     * 最小年龄
     */
    public static final int MIN_AGE = 0;

    /**
     * 患者咨询时最多可上传的图片数量
     */
    public static final int CONSULT_IMAGE_MAX_COUNT = 9;

    /**
     * 域名
     */
    public static final String WAP_API_DOMAIN = "https://m-qa.ywtinfo.com";

    /**
     * 系统异常统一提示语
     */
    public static final String ERROR_PROMPT = "网络错误";

    /**
     * 医生修改头像保存路径
     */
    public static final String DOCTOR_AVATAR_PATH = "doctor/avatar2";

    /**
     * 医生证书存放路径
     */
    public static final String DOCTOR_CERT_PATH = "doctor/cert";

    /**
     * 患者病历图片存放路径、患者信息图片存放路径、咨询订单图片存放路径
     */
    public static final String PATIENT_HIS_PATH = "up/patient/his/image";


    /**
     * 聊天图片存放路径
     */
    public static final String IM_IMAGE_PATH = "up/im/image";

    /**
     * 医学界文章图片存放路径
     */
    public static final String MED_FIELD_ARTICLE_IMG_PATH = "up/article/image";

    /**
     * 微信文件地址
     */
    public static final String WX_FILE_URL = "https://api.weixin.qq.com/cgi-bin/media/get?access_token=%s&media_id=%s";

    /**
     * 图片域名（旧）
     */
    public static final String IMG_URL_OLD = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com";

    /**
     * 图片域名（新）
     */
    public static final String IMG_URL_NEW = "https://p.ywtinfo.com";

    /**
     * 问卷表图片
     */
    public static final String QUESTIONNAIRE_IMG = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/tb.png";

    /**
     * 医生证书图片链接
     */
    public static final String DOCTOR_CERT_URL = "/drapi/ysmp/doctor/cert?key=%s";

    /**
     * 医生默认头像
     */
    public static final String DOCTOR_AVATAR_URL = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/doctor/avatar/default.png?x-oss-process=image/resize,h_180,w_180";

    //医生默认头像(大图)
    public static final String DOCTOR_AVATAR_2_URL = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/doctor/avatar/default_square.png";

    /**
     * 南方医院Id
     */
    public static final int NFYY_HOSPITAL_ID = 1;

    /**
     * 太和医院Id
     */
    public static final int TAIHE_HOSPITAL_ID = 12;

    public static final int TAIHE_PHARMACY_ID = 2;

    /**
     * 南方医院白云分院医院 id
     */
    public static final int NFYYBYFY_HOSPITAL_ID = 41;

    /**
     * 广州医科大学附属第三医院 hospital id
     */
    public static final int GS_3th_HOSPITAL_ID = 510;
    /**
     * 南方医院白云分院医院-沙河院区
     */
    public static final int NFYYBYFY_SH_HOSPITAL_ID = 540;
    /**
     * 南方医院白云分院医院-黄石院区
     */
    public static final int NFYYBYFY_HS_HOSPITAL_ID = 541;
    /**
     * 太和医院名称
     */
    public static final String TAIHE_HOSPITAL_NAME = "南方医院太和分院";

    /**
     * 南方医科大学南方医院白云分院 名称
     */
    public static final String NFYYBYFY_HOSPITAL_NAME = "南方医科大学南方医院白云分院";

    /**
     * 太和医生证书图片链接
     */
    public static final String TAIHE_DOCTOR_CERT_URL = "/thnetdocapi/doctor/cert?key=%s";

    /**
     * 南方医院白云分院医生证书图片链接
     */
    public static final String NFYYBYFY_DOCTOR_CERT_URL = "/nfyybyfydocapi/doctor/cert?key=%s";

    /**
     * 患者取药二维码
     */
//    public static final String TAKE_MEDICINE_CODE_URL = "ywtac://patient_checkin/%s";
    public static final String TAKE_MEDICINE_CODE_URL = "YWTAC://PATIENT_CHECKIN/%s";

    /**
     * 文件后缀
     */
    public static final String FILE_SUFFIX_MOV = "mov";
    public static final String FILE_SUFFIX_AVI = "avi";
    public static final String FILE_SUFFIX_FLV = "flv";
    public static final String FILE_SUFFIX_MP4 = "mp4";

    /**
     * 南方医院太和分院（互联网医院名医诊区）科室编码
     */
    public static final String TAIHE_NET_DEPT_CODE = "441";

    /**
     * 南方医院太和分院（互联网医院名医诊区）科室编码
     */
    public static final String NFYYBYFY_NET_DEPT_CODE = "";//TODO: 待定

    /**
     * 处方默认图片
     */
    public static final String PRESCRIPTION_IMG = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription.png";

    public static final String COMMA = ",";

    /**
     * 医务通云平台状态名称
     */
    public static final String CLOUD_PLATFORM_STATUS = "cloud_platform_status";
    public static final long DAY_IN_MILLISECONDS = 1000 * 60 * 60 * 24;

    /**
     * 处方状态图片 url
     */
    public static final String PRES_IM_IMG_URL = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription.png";
    public static final String PRES_IM_IMG_URL_UNPAID = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_unpaid.png";
    public static final String PRES_IM_IMG_URL_CANCEL = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_cancel.png";
    public static final String PRES_IM_IMG_URL_READY_TO_TAKE = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_ready_to_take.png";
    public static final String PRES_IM_IMG_URL_DISPATCHING = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_dispatching.png";
    public static final String PRES_IM_IMG_URL_NOT_PASSED = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_not_passed.png";
    public static final String PRES_IM_IMG_URL_CANCELING = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_canceling.png";
    public static final String PRES_IM_IMG_URL_REFUND = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_refund.png";
    public static final String PRES_IM_IMG_URL_EXPIRED = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_expired.png";
    public static final String PRES_IM_IMG_URL_FINISHED = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_finished.png";
    public static final String PRES_IM_IMG_URL_UNEVALUATED = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_unevaluated.png";
    public static final String PRES_IM_IMG_URL_EVALUATED = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription_evaluated.png";

    /**
     * 新冠疫苗队列key
     */
    public static final String YWT_COVID19_LIST_KEY = "ywt_covid19_list_key_%s";

    /**
     * 新冠疫苗key队列有效时间
     */
    public static final int YWT_COVID19_KEY_EXPIRE_TIME = 10 * 60;

    /**
     * 南方医院太和分院（互联网医院名医诊区夜诊）科室编码
     */
    public static final String TAIHE_NET_DEPT_CODE_NIGHT_DIAGNOSIS = "729";

    /**
     * 患者病案邮寄图片存放地址（身份证等、病案复印委托书等）
     */
    public static final String MEDICAL_RECORD_MAILING_PATH = "patient/medical_record_mailing";

    /**
     * 病案邮寄证件照片接口地址
     */
    public static final String MEDICAL_RECORD_MAILING_URL = "/v2/nfyybyfy/hzmp/medicalRecordMailing/cert?key=%s";

}
