package com.ywt.alipaympapi.service;

import com.ywt.request.oauth.NoticeOauthRequest;
import com.ywt.request.oauth.PhoneOauthRequest;
import com.ywt.response.oauth.NoticeOauthResponseData;
import com.ywt.response.oauth.PhoneOauthResponseData;

/**
 * isv授权相关接口
 **/
public interface IsvOauthService {

    /**
     * 给指定手机号发送验证码
     * 后续可以用此验证码进行用户身份校验
     *
     * @param request 请求参数
     * @return 验证码过期时间
     **/
    PhoneOauthResponseData sendPhoneVerification(PhoneOauthRequest request);

    /**
     * 消息通知授权
     * 获取消息模板id
     * @param request
     * @return
     */
    NoticeOauthResponseData getTemplateId(NoticeOauthRequest request);
}
