package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.DepositTradeResponseData;
import lombok.Data;

/**
 * 押金缴纳请求体
 */
@Data
public class DepositTradeRequest implements IsvRequest<DepositTradeResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String inpatientId;//住院记录id

    private String amount;//支付押金金额

    private String admNo; // 住院就诊后

    private String alipayUid;

    @Override
    public String serviceName() {
        return "isvRequest.deposit.tradeNoQuery";
    }
}