package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.InpatientUpdateResponseData;
import lombok.Data;

/**
 * 入院人修改手机号请求体
 */
@Data
public class InpatientUpdateRequest implements IsvRequest<InpatientUpdateResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String patientId;//就诊人id

    private String phoneNumber;//手机号，关系为本人时无需填写，rsa加密数据

    @Override
    public String serviceName() {
        return "isvRequest.inpatient.edict";
    }
}