package com.ywt.request.pay;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.pay.PayDetailResponseData;
import lombok.Data;

/**
 * 订单详情查询的请求参数
 **/
@Data
public class PayDetailRequest implements IsvRequest<PayDetailResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId
    private String userId;//用户唯一id
    private Integer type;//订单类型标识，现阶段主要是挂号费和充值订单;1-挂号费订单 2-充值订单
    private String outTradeNo;//订单号
    private String invoiceNo;
    private String hisPatientId;
    private String date;
    private Integer status;//订单状态;0-待支付 1-已支付 9-已取消
    private String deptName;//科室名称
    private String amount;//支付金额
    private String name;//就诊人姓名
    private Integer age;
    private String sex;
    private String prescribeDate;//开方时间
    private String hisOrderNo;
    private String doctorName;
    private String doctorCode;
    private int total;
    private String hisClinicCode;
    private String payTime;

    @Override
    public String serviceName() {
        return "miniProRequest.pay.payDetail";
    }
}
