package com.ywt.request.register;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.register.OrderConfirmResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 挂号确认请求体
 **/
@Getter
@Setter
@ToString
public class OrderConfirmRequest implements IsvRequest<OrderConfirmResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId
    private String userId;//用户唯一识别号
    private String doctorId;//医生唯一识别号
    private String orderSourceId;//号源id
    private String cardNum;//就诊卡卡号
    private String deptCode;    // 科室Code
    private String deptName;    // 科室名称
    private String doctorCode;  // 医生Code
    private String doctorName;  // 医生名称
    private double registeredFee;   // 挂号费
    private double medicalFee;      // 诊查费
    private String registeredDate;  // 预约日期
    private int period;         // 预约时间段
    private String startTime;   // 预约开始时间：HH:MI
    private String endTime;     // 预约结束时间：HH:MI
    private int medicalCardId;  // 就诊人Id
    private String scheduleItemCode;    // 门诊排班项记录标识
    private int deptId;         // 科室ID
    private String lockQueueNo; // 锁住的挂号编号，和 availableNumStr 参数二选一就行
    private String availableNumStr; // 可用的编号


    @Override
    public String serviceName() {
        return "isvRequest.order.orderConfirm";
    }
}
