package com.ywt.request.register;

import com.ywt.model.IsvPageRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.register.QueryDepDoctorListResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 科室医生查询请求体
 **/
@Getter
@Setter
@ToString
public class QueryDepDoctorListRequest implements IsvPageRequest<QueryDepDoctorListResponseData>, IAppIdRequest {

    private String appId;//医院小程序的AppId
    private int pageIndex;//页码
    private int pageSize;//页条数

    private String depId;//科室id
    private String depCode;//科室code
    private String doctorCode;//医生code
    private String date;//查询日期
    private String serviceCode;//v1.6.5 新增，亚专科科室

    @Override
    public String serviceName() {
        return "isvRequest.order.depDoctorList";
    }
}
