package com.ywt.response.inpatient;

import com.ywt.model.IsvResponseData;
import lombok.Data;

import java.util.List;

/**
 * 出院结算查询回执
 */
@Data
public class SettlementQueryResponseData implements IsvResponseData {

    private Boolean medicareAble;//是否支持医保

    private Boolean online;//是否支持在线退费

    private String reimbursableAmount;//医保可报销金额, 精确到小数点后2位（预计报销金额，实际以医保局确认为准）

    private String medicalSelfPayAmount;//医保个人账户支付金额, 精确到小数点后2位（预计报销金额，实际以医保局确认为准）

    private String medicalFundPayAmount;//医保统筹基金支付金额, 精确到小数点后2位（预计报销金额，实际以医保局确认为准）

    private String depositTotalAmount;//押金总额, 精确到小数点后2位

    private String selfPayAmount;//自费支付总额, 精确到小数点后2位

    private String spendTotalAmount;//实际支出总金额, 精确到小数点后2位

    private String depositBalance;//押金余额, 精确到小数点后2位

    private Boolean isRefund;//是否为退款结算

    private String repayAmount;//应补缴金额, 精确到小数点后2位(仅用来展示, 付款不以此为准)

    private String refundAmount;//应退款金额=押金余额+医保可报销金额-应补缴金额, 精确到小数点后2位(仅用来展示, 付款不以此为准)

    private List<Item> payItemList;//支出明细

    @Data
    public static class Item {

        private String itemName;//支出项名称

        private String itemPrice;//支出项单价, 精确到小数点后2位

        private Integer itemCount;//支出项数量

        private String itemAmount;//支出项总额, 精确到小数点后2位
    }
}
